{
  "name": "create-next-app-antd",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "lint:next": "next lint",
    "predev": "ts-node --project ./tsconfig.node.json ./scripts/genAntdCss.tsx",
    "prebuild": "cross-env NODE_ENV=production ts-node --project ./tsconfig.node.json ./scripts/genAntdCss.tsx",
    "lint": "npx eslint pages",
    "lint:fix": "npm run lint -- --fix",
    "prettier": "npx prettier pages --check",
    "prettier:fix": "npm run prettier -- --write",
    "format": "npm run prettier:fix && npm run lint:fix"
  },
  "devDependencies": {
    "@ant-design/cssinjs": "^1.3.0",
    "@ant-design/static-style-extract": "~1.0.1",
    "@types/node": "^18.11.17",
    "@types/react": "^18.0.26",
    "@types/react-dom": "^18.0.10",
    "antd": "^5.1.0",
    "cross-env": "^7.0.3",
    "eslint": "^8.42.0",
    "eslint-config-next": "^13.1.1",
    "eslint-plugin-prettier": "^4.2.1",
    "next": "^13.1.1",
    "prettier": "^2.8.8",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "sass": "^1.62.1",
    "ts-node": "^10.9.1",
    "tslib": "^2.5.0",
    "typescript": "^4.9.4"
  },
  "dependencies": {
    "@amap/amap-jsapi-loader": "^1.0.1",
    "@ant-design/icons": "^5.0.1",
    "@hapi/iron": "^7.0.1",
    "@types/styled-components": "^5.1.26",
    "babel-plugin-styled-components": "^2.1.1",
    "babel-plugin-styled-components-px2rem": "^1.5.5",
    "cookie": "^0.5.0",
    "dayjs": "^1.11.8",
    "moment": "^2.29.4",
    "next-connect": "^1.0.0",
    "passport": "^0.6.0",
    "passport-local": "^1.0.0",
    "pinyin-pro": "^3.14.0",
    "postcss-pxtorem": "^6.0.0",
    "react-infinite-scroll-component": "^6.1.0",
    "styled-components": "^6.0.0-rc.1",
    "swiper": "^9.3.2",
    "swr": "^2.1.5",
    "uuid": "^9.0.0"
  }
}
